=== modified file 'Makefile.am'
--- Makefile.am	2010-10-16 14:39:30 +0000
+++ Makefile.am	2011-01-11 05:43:31 +0000
@@ -1,4 +1,4 @@
-SUBDIRS = src tests man pixmaps
+SUBDIRS = src tests man pixmaps completion
 ACLOCAL_AMFLAGS = -I m4
 
 desktopdir = $(datadir)/applications

=== modified file 'Makefile.in'
--- Makefile.in	2010-10-16 14:39:30 +0000
+++ Makefile.in	2011-01-11 05:43:31 +0000
@@ -201,7 +201,6 @@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
-MENCODER = @MENCODER@
 MKDIR_P = @MKDIR_P@
 NM = @NM@
 NMEDIT = @NMEDIT@
@@ -280,7 +279,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-SUBDIRS = src tests man pixmaps
+SUBDIRS = src tests man pixmaps completion
 ACLOCAL_AMFLAGS = -I m4
 desktopdir = $(datadir)/applications
 desktop_DATA = toonloop.desktop

=== modified file 'NEWS'
--- NEWS	2010-10-16 14:39:30 +0000
+++ NEWS	2011-01-11 05:43:31 +0000
@@ -1,7 +1,48 @@
-See the RELEASE file for the latest new features and bug fixes.
+This file lists all the release notes for the former versions.
+See the RELEASE file for the current notes. (latest new features and bug fixes)
 See the ChangeLog file for a log of previous releases informations.
 
 
+2010-11-02: Toonloop 2.0.2
+--------------------------
+
+This release is a maintenance version in the 2.0 stable series.
+
+This version contains new features and bug fixes.
+
+New features:
+    * Added a help text. (press F1)
+    * Adding a bash completion file.
+    * Checking for mencoder at runtime
+    * Improved README.
+
+Bug fixes:
+    * Decreased the verbosity a lot.
+    * Not checking for mencoder at build time anymore
+
+
+2010-10-08: Toonloop 2.0.0
+--------------------------
+
+This release is the first release of the 2.0 series! After eight months of development, Toonloop 2.0 is finally ready be released. A stable release means that the command-line options and the interactive keyboard controls should not change much for all tags with 2.0 as major-minor numbers. Some new features might be developped in that branch, but each release should be backward-compatible with their ancestor. The next unstable development branch is 2.1. The next stable series is 2.2.
+
+This version contains new features and bug fixes.
+
+New features:
+    * Added the --max-images-per-clip option. Default is 0. (infinity)
+    * Added the --intervalometer-rate option
+    * Added the --enable-intervalometer option
+    * Added the --layout option
+    * Using a messaging queue for the OSC callbacks
+    * Added the --remove-deleted-images option
+    * Improved the man page
+
+
+Bug fixes:
+    * Fixed a crash when the OSC interface was enabled.
+    * Then, fixed another crash when the OSC interface was not enabled.
+
+
 2010-10-04: Toonloop 1.9.6
 --------------------------
 

=== modified file 'README'
--- README	2010-10-16 14:39:30 +0000
+++ README	2011-01-11 05:43:31 +0000
@@ -5,16 +5,17 @@
   |_|\___/ \___/|_| |_|_|\___/ \___/| .__/ 
                                     |_|    
 
-Toonloop is a live stop motion animation software. It aims to show the creation process to the audience as well as the result of the creation. The frame by frame animation is made by adding frames one by one to a clip made of many frames. Clips are displayed in a never ending loop. Toonloop can also grab video images continuously.
+Toonloop is a live animation software. It aims to show the creation process to the audience as well as the result of the creation. Frame by frame animation clips can made by adding images one by one. Clips are displayed in a never ending loop. Toonloop can also grab video images continuously.
 
 Toonloop is a great tool for teaching new medias to children. It can also be used as a professionnal software for movie creators, though it is mainly intended to be used in a live kiosk of show. In the left window, you can see what is seen by the live camera. In the right window, it is the result of the stop motion loop.
 
 Toonloop can be controlled using MIDI input, or the Open Sound Control protocol. Images are saved to the disk in the JPEG format, and the clips are saved using the photo-JPEG video codec. (using mencoder)
 
-See the RELEASE file for up-to-date information about this version of Toonloop.
+See the RELEASE file for up-to-date information about this version of Toonloop. See the NEWS file for its history.
 
 Most of the information on how to use it is in the toonloop(1) man page.
 
+
 How to use Toonloop
 -------------------
 
@@ -32,17 +33,32 @@
 Tab                : changes the playback direction
 r                  : clear the current clip
 Caps Lock          : toggle video grabbing
-a                  : Toggles on/off the intervalometer
-k                  : increase intervalometer interval by 1 second
-j                  : decrease intervalometer interval by 1 second
 period             : Toggles the layout
-right              : move writehead to the next image
-left               : move writehead to the previous image
-return             : move writehead to the last image
-semicolon          : move writehead to the first image
+F1                 : show help
+
+See the toonloop(1) man page, or press F1 for all the key controls.
 
 Toonloop saves the clip in its project directory. The default project directory is the ~/Documents/toonloop/default/ directory, where "~" is your HOME directory. 
 
+Versioning
+----------
+
+Toonloop uses the common "Linux kernel" versioning system, where even-numbered minor versions are stable and odd-numbered minor versions are development snapshots.
+
+The micro version indicates the origin of the release: even micro numbers are only used for released archives; odd micro numbers are only used on the Git repository.
+
+A stable series means that the command-line options and the interactive keyboard controls should not change much for all tags whose version number start with the same major-minor numbers. Some new features might be developped in that branch, but each release should be backward-compatible with their ancestor. Releases from a stable series should be use for production. 
+
+In contrast, unstable branches consist of tags which are developer snapshots. They are not expected to be compatible with any other version. Some features might change between different stable branches.
+
+
+Known Bugs
+----------
+
+Here is a list of known bugs. See also the TODO file. That is what we mainly use to manage issues, rather than a Web application. Please read and write on the mailing list if you encounter some issues with Toonloop.
+
+ * The portrait layout doesn't look nice: both images overlap when not in 4:3 ratio.
+
 
 Basic Tools for Compiling
 -------------------------
@@ -67,13 +83,11 @@
 
  ffmpeg,
  gettext,
- gstreamer0.10-alsa,
  gstreamer0.10-ffmpeg,
  gstreamer0.10-plugins-bad,
  gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
  gstreamer0.10-plugins-ugly (>= 0.10.14),
- gstreamer0.10-pulseaudio,
  gstreamer0.10-x,
  help2man,
  libasound-dev,
@@ -98,11 +112,6 @@
  libxv-dev,
  mencoder
 
-The packages listed below are not used yet, but we plan to use them 
-soon.
-
- libxml++2.6-2,
- libxml++2.6-dev,
 
 How to build Toonloop
 ---------------------
@@ -114,6 +123,11 @@
 
 There is also the handy ./one_click_build.sh that does it in a single script. (except the `sudo make install`)
 
+If you want to install the bash completion script, you should set the sysconfdir command-line option given to ./configure to "/etc". Here is an example:
+
+ ./configure --sysconfdir=/etc
+
+Be warned that the command above would overwrite the default Toonloop config files installed by your package manager, if any. 
 
 How to run Toonloop
 -------------------

=== modified file 'RELEASE'
--- RELEASE	2010-10-16 14:39:30 +0000
+++ RELEASE	2011-01-11 05:43:31 +0000
@@ -1,21 +1,13 @@
-2010-10-08: Toonloop 2.0.0
+2010-11-19: Toonloop 2.0.4
 --------------------------
 
-This release is the first release of the 2.0 series! After eight months of development, Toonloop 2.0 is finally ready be released. A stable release means that the command-line options and the interactive keyboard controls should not change much for all tags with 2.0 as major-minor numbers. Some new features might be developped in that branch, but each release should be backward-compatible with their ancestor. The next unstable development branch is 2.1. The next stable series is 2.2. 
+This release is a maintenance version in the 2.0 stable series. 
 
-This version contains new features and bug fixes. 
+This version contains a new feature and a major bug fix. These were backported from the 2.1 development branch.
 
 New features:
-    * Added the --max-images-per-clip option. Default is 0. (infinity)
-    * Added the --intervalometer-rate option
-    * Added the --enable-intervalometer option
-    * Added the --layout option
-    * Using a messaging queue for the OSC callbacks
-    * Added the --remove-deleted-images option
-    * Improved the man page
-
+    * support interlaced video
 
 Bug fixes: 
-    * Fixed a crash when the OSC interface was enabled.
-    * Then, fixed another crash when the OSC interface was not enabled.
+    * detect V4L2 video features from the right device
 

=== modified file 'TODO'
--- TODO	2010-10-16 14:39:30 +0000
+++ TODO	2011-01-11 05:43:31 +0000
@@ -12,20 +12,35 @@
 Right now, here is the list of tasks to prioritize: 
 
  * BUG: Auto-record video sometimes doesn't work
- * BUG: the first live input image is white
- * BUG: the first playback image is white
+ * BUG: Auto-record video sometimes keeps recording and is impossible to stop!
+ * BUG: Sometimes, in one-image clips, the playhead tries to change to 1. Clip::get_image: Got exception vector::_M_range_check \n Controller::update_playback_image: The image is NULL
+ * BUG: check for runtime dep (mencoder) in the executable.
+ * BUG: the first live input image is white (hence the first recorded one if using timelapse)
+ * BUG: use dashes, not minus in man pages
+ * architecture: create the ToonLooper and ToonGrabber classes. (take those from gui and pipeline)
  * controls: Add direct controls for playback direction.
  * doc: Make sure the keystroke instructions are in only one place.
- * editing: Allow more than ten clips.
+ * editing: Paging could allow more than ten clips. Use <>
  * editing: The first image that is grabbed with the intervalometer is black.
  * editing: make onionskin and ripple/fade effect one-per-clip-based
+ * effect: Rippling effect (strobing) effect (like in _Pas de deux_) Variable delay between each former frame. Variable number of former frames displayed
+ * effects: additive blending mode
+ * effects: adjust delay on the live input.
+ * effects: effect on the live input. 
+ * effects: one effect per clip
  * gui: Create a simpler HUD with position of writehead and playhead.
- * gui: Press 'h' to show some help 
+ * gui: Support a separate window for the playback.
  * onionskin: allow to change its opacity
  * onionskin: avoid a white image when none has been taken
  * onionskin: load the image just before writehead's position
  * osc: When saving a movie, we should send the name of the saved file via OSC
- * packaging: Remove dependency to GTK. (GUI controls should use Clutter)
+ * packaging: add AM_MAINTAINER_MODE to configure.ac
+ * packaging: install completion/toonloop /etc/bash_completion.d/toonloop
+ * video: Support DV: gst-launch dv1394src ! queue ! dvdemux name=d ! queue ! dvdec ! xvimagesink
+ * video: Support HDV (hdvdec)
+ * video: Use an inputswitcher element. The video capture element in the Gstreamer pipeline must be dynamic. It means that the user could choose v4l2src, or an other source, depending on the hardware available. Ideally, some detection could be done. See ekiga.
+ * video: Use the default GStreamer-properties camera when none is given
+
 
 
 To be done later
@@ -39,21 +54,17 @@
  * edit: support playing back a single clip or all of them
  * editing: Load a movie file to a clip.
  * editing: Load images to a clip.
- * effect: Rippling effect (strobing) effect (like in _Pas de deux_) Variable delay between each former frame. Variable number of former frames displayed
  * effects: Color improvements (brightness, contrast, saturation)
  * effects: Min/max values for effects attributes.
  * effects: Port the shaders from 1.x (See doc/effects.txt)
- * effects: Press 'n' to select the next effect available.
  * effects: Support for video mapping. (needs a matte + separating the rectangle in a grid of rectangles, with coordinates that are interpolated linearily)
  * effects: contour
  * effects: diff
  * effects: invert
  * effects: masks (matte)
- * effects: one effect per clip
  * effects: threshold
  * gui: Advanced GUI for controlling clips and sequences
- * gui: Clutter Mx GUI (buttons, sliders, menu, etc.) 
- * gui: choose the best keyboard controls
+ * gui: Clutter Mx GUI (buttons, sliders, etc.) 
  * gui: dialog which allows the user to choose the name of the saved clip.
  * gui: display square to represent frames in timeline
  * midi: MIDI learn for controls
@@ -73,6 +84,7 @@
  * osc: send  /toon/writehead <i>
  * packaging: Improve STK packaging
  * packaging: Re-add previous tests, including headers from src.
+ * packaging: Remove dependency to GTK. (GUI controls should use Clutter)
  * playback: Allow to move playhead to the beginning of a clip when we switch to it.
  * playback: Basic sequences of clips.
  * playback: Multi layers (multi clips at a time)
@@ -90,8 +102,4 @@
  * saving: Save projects to XML (statesaving.cpp doesn't work currently)
  * saving: Support saving in AVI
  * saving: create a subdir for each clip in images and movies dirs
- * video: Support DV: gst-launch dv1394src ! queue ! dvdemux name=d ! queue ! dvdec ! xvimagesink
- * video: Support HDV (hdvdec)
- * video: Use an inputswitcher element. The video capture element in the Gstreamer pipeline must be dynamic. It means that the user could choose v4l2src, or an other source, depending on the hardware available. Ideally, some detection could be done. See ekiga.
- * video: Use the default GStreamer-properties camera when none is given
  * video: do not crash if the v4l2 device is busy

=== added directory 'completion'
=== added file 'completion/Makefile.am'
--- completion/Makefile.am	1970-01-01 00:00:00 +0000
+++ completion/Makefile.am	2011-01-11 05:43:31 +0000
@@ -0,0 +1,2 @@
+completiondir = $(sysconfdir)/bash_completion.d
+dist_completion_DATA = toonloop

=== added file 'completion/Makefile.in'
--- completion/Makefile.in	1970-01-01 00:00:00 +0000
+++ completion/Makefile.in	2011-01-11 05:43:31 +0000
@@ -0,0 +1,441 @@
+# Makefile.in generated by automake 1.11.1 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
+# Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkglibexecdir = $(libexecdir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = completion
+DIST_COMMON = $(dist_completion_DATA) $(srcdir)/Makefile.am \
+	$(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
+	$(top_srcdir)/m4/ax_boost_base.m4 \
+	$(top_srcdir)/m4/ax_boost_date_time.m4 \
+	$(top_srcdir)/m4/ax_boost_filesystem.m4 \
+	$(top_srcdir)/m4/ax_boost_program_options.m4 \
+	$(top_srcdir)/m4/ax_boost_system.m4 \
+	$(top_srcdir)/m4/ax_boost_thread.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/src/config.h
+CONFIG_CLEAN_FILES =
+CONFIG_CLEAN_VPATH_FILES =
+SOURCES =
+DIST_SOURCES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+  for p in $$list; do echo "$$p $$p"; done | \
+  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+    if (++n[$$2] == $(am__install_max)) \
+      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+    END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__installdirs = "$(DESTDIR)$(completiondir)"
+DATA = $(dist_completion_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMTAR = @AMTAR@
+AR = @AR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
+BOOST_DATE_TIME_LIB = @BOOST_DATE_TIME_LIB@
+BOOST_FILESYSTEM_LIB = @BOOST_FILESYSTEM_LIB@
+BOOST_LDFLAGS = @BOOST_LDFLAGS@
+BOOST_PROGRAM_OPTIONS_LIB = @BOOST_PROGRAM_OPTIONS_LIB@
+BOOST_SYSTEM_LIB = @BOOST_SYSTEM_LIB@
+BOOST_THREAD_LIB = @BOOST_THREAD_LIB@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CLUTTERGST_CFLAGS = @CLUTTERGST_CFLAGS@
+CLUTTERGST_LIBS = @CLUTTERGST_LIBS@
+CLUTTERGTK_CFLAGS = @CLUTTERGTK_CFLAGS@
+CLUTTERGTK_LIBS = @CLUTTERGTK_LIBS@
+CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
+CLUTTER_LIBS = @CLUTTER_LIBS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DATADIR = @DATADIR@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DSYMUTIL = @DSYMUTIL@
+DUMPBIN = @DUMPBIN@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+FGREP = @FGREP@
+GREP = @GREP@
+GSTAPP_CFLAGS = @GSTAPP_CFLAGS@
+GSTAPP_LIBS = @GSTAPP_LIBS@
+GST_CFLAGS = @GST_CFLAGS@
+GST_LIBS = @GST_LIBS@
+GTK_CFLAGS = @GTK_CFLAGS@
+GTK_LIBS = @GTK_LIBS@
+HELP2MAN = @HELP2MAN@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LD = @LD@
+LDFLAGS = @LDFLAGS@
+LIBLO_CFLAGS = @LIBLO_CFLAGS@
+LIBLO_LIBS = @LIBLO_LIBS@
+LIBM_CXXFLAGS = @LIBM_CXXFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIBTHREAD_CXXFLAGS = @LIBTHREAD_CXXFLAGS@
+LIBTOOL = @LIBTOOL@
+LIPO = @LIPO@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MKDIR_P = @MKDIR_P@
+NM = @NM@
+NMEDIT = @NMEDIT@
+OBJDUMP = @OBJDUMP@
+OBJEXT = @OBJEXT@
+OTOOL = @OTOOL@
+OTOOL64 = @OTOOL64@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_URL = @PACKAGE_URL@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PIXMAPS_DIR = @PIXMAPS_DIR@
+PKG_CONFIG = @PKG_CONFIG@
+RANLIB = @RANLIB@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STK_CXXFLAGS = @STK_CXXFLAGS@
+STK_LIBS = @STK_LIBS@
+STRIP = @STRIP@
+VERSION = @VERSION@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+builddir = @builddir@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+lt_ECHO = @lt_ECHO@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+top_build_prefix = @top_build_prefix@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+completiondir = $(sysconfdir)/bash_completion.d
+dist_completion_DATA = toonloop
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+	        && { if test -f $@; then exit 0; else break; fi; }; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu completion/Makefile'; \
+	$(am__cd) $(top_srcdir) && \
+	  $(AUTOMAKE) --gnu completion/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+install-dist_completionDATA: $(dist_completion_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(completiondir)" || $(MKDIR_P) "$(DESTDIR)$(completiondir)"
+	@list='$(dist_completion_DATA)'; test -n "$(completiondir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(completiondir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(completiondir)" || exit $$?; \
+	done
+
+uninstall-dist_completionDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_completion_DATA)'; test -n "$(completiondir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(completiondir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(completiondir)" && rm -f $$files
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d "$(distdir)/$$file"; then \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+	  else \
+	    test -f "$(distdir)/$$file" \
+	    || cp -p $$d/$$file "$(distdir)/$$file" \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile $(DATA)
+installdirs:
+	for dir in "$(DESTDIR)$(completiondir)"; do \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+	done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am: install-dist_completionDATA
+
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am:
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-dist_completionDATA
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+	distclean distclean-generic distclean-libtool distdir dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-dist_completionDATA \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs maintainer-clean maintainer-clean-generic \
+	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
+	ps ps-am uninstall uninstall-am uninstall-dist_completionDATA
+
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:

=== added file 'completion/toonloop'
--- completion/toonloop	1970-01-01 00:00:00 +0000
+++ completion/toonloop	2011-01-11 05:43:31 +0000
@@ -0,0 +1,31 @@
+have toonloop &&
+_toonloop()
+{
+        local cur prev
+
+        COMPREPLY=()
+        cur=${COMP_WORDS[COMP_CWORD]}
+        prev="${COMP_WORDS[COMP_CWORD-1]}"
+        
+        if [[ "$cur" == -* ]]; then
+            COMPREPLY=($(compgen -W "$(toonloop --help | awk '/--/ { sub(/^.*--/, "--");sub(/[ =].*$/,"");print }')" -- $cur ) )
+        else
+            case "$prev" in
+            --videosource ) COMPREPLY=($(compgen -W "videotestsrc v4l2src v4lsrc dc1394src dv1394src filesrc" -- $cur ) ) ;;
+            --video-source ) COMPREPLY=($(compgen -W "$(toonloop --list-cameras | awk '/Video4/ { sub(/:/, "");print $3 }')" -- $cur ) ) ;;
+            --midi-input ) COMPREPLY=($(compgen -W "$(toonloop --list-midi-inputs | awk '/\*/ { sub(/:/, "");print $2 }')" -- $cur ) ) ;;
+            --osc-send-addr )  COMPREPLY=($(compgen -W "localhost" -- $cur ) ) ;;
+            --width ) COMPREPLY=($(compgen -W "640 320" -- $cur ) ) ;;
+            --height ) COMPREPLY=($(compgen -W "480 240" -- $cur ) ) ;;
+            --playhead-fps ) COMPREPLY=($(compgen -W "10 12 15 20 24" -- $cur ) ) ;;
+            --osc-send-port ) COMPREPLY=($(compgen -W "14444" -- $cur ) ) ;;
+            --osc-receive-port ) COMPREPLY=($(compgen -W "14445" -- $cur ) ) ;;
+            --max-images-per-clip ) COMPREPLY=($(compgen -W "0 1000" -- $cur ) ) ;;
+            --layout ) COMPREPLY=($(compgen -W "0 1 2 3" -- $cur ) ) ;;
+            --intervalometer-rate ) COMPREPLY=($(compgen -W "0.1 1.0 10 60 3600" -- $cur ) ) ;;
+            *) ;;
+            esac
+        fi
+}
+complete -F _toonloop toonloop
+

=== modified file 'configure'
--- configure	2010-10-16 14:39:30 +0000
+++ configure	2011-01-11 05:43:31 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.65 for TOONLOOP 2.0.0.
+# Generated by GNU Autoconf 2.65 for TOONLOOP 2.0.4.
 #
 # Report bugs to <support@toonloop.com>.
 #
@@ -701,8 +701,8 @@
 # Identity of this package.
 PACKAGE_NAME='TOONLOOP'
 PACKAGE_TARNAME='toonloop'
-PACKAGE_VERSION='2.0.0'
-PACKAGE_STRING='TOONLOOP 2.0.0'
+PACKAGE_VERSION='2.0.4'
+PACKAGE_STRING='TOONLOOP 2.0.4'
 PACKAGE_BUGREPORT='support@toonloop.com'
 PACKAGE_URL=''
 
@@ -748,7 +748,6 @@
 LIBOBJS
 PIXMAPS_DIR
 DATADIR
-MENCODER
 HELP2MAN
 BOOST_SYSTEM_LIB
 BOOST_DATE_TIME_LIB
@@ -1475,7 +1474,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures TOONLOOP 2.0.0 to adapt to many kinds of systems.
+\`configure' configures TOONLOOP 2.0.4 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1545,7 +1544,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of TOONLOOP 2.0.0:";;
+     short | recursive ) echo "Configuration of TOONLOOP 2.0.4:";;
    esac
   cat <<\_ACEOF
 
@@ -1700,7 +1699,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-TOONLOOP configure 2.0.0
+TOONLOOP configure 2.0.4
 generated by GNU Autoconf 2.65
 
 Copyright (C) 2009 Free Software Foundation, Inc.
@@ -2246,7 +2245,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by TOONLOOP $as_me 2.0.0, which was
+It was created by TOONLOOP $as_me 2.0.4, which was
 generated by GNU Autoconf 2.65.  Invocation command line was
 
   $ $0 $@
@@ -4092,13 +4091,13 @@
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:4095: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:4094: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4098: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:4097: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4101: output\"" >&5)
+  (eval echo "\"\$as_me:4100: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -5304,7 +5303,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5307 "configure"' > conftest.$ac_ext
+  echo '#line 5306 "configure"' > conftest.$ac_ext
   if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6834,11 +6833,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6837: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6836: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6841: \$? = $ac_status" >&5
+   echo "$as_me:6840: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7173,11 +7172,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7176: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7175: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7180: \$? = $ac_status" >&5
+   echo "$as_me:7179: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7278,11 +7277,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7281: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7280: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7285: \$? = $ac_status" >&5
+   echo "$as_me:7284: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -7333,11 +7332,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7336: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7335: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7340: \$? = $ac_status" >&5
+   echo "$as_me:7339: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9717,7 +9716,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 9720 "configure"
+#line 9719 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9813,7 +9812,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 9816 "configure"
+#line 9815 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10540,7 +10539,7 @@
 
 # Define the identity of the package.
  PACKAGE='toonloop'
- VERSION='2.0.0'
+ VERSION='2.0.4'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -13241,11 +13240,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13244: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13243: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13248: \$? = $ac_status" >&5
+   echo "$as_me:13247: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13340,11 +13339,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13343: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13342: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13347: \$? = $ac_status" >&5
+   echo "$as_me:13346: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13392,11 +13391,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13395: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13394: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13399: \$? = $ac_status" >&5
+   echo "$as_me:13398: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17140,49 +17139,6 @@
     HELP2MAN=:
 fi
 
-# external tools
-# Extract the first word of "mencoder", so it can be a program name with args.
-set dummy mencoder; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_MENCODER+set}" = set; then :
-  $as_echo_n "(cached) " >&6
-else
-  if test -n "$MENCODER"; then
-  ac_cv_prog_MENCODER="$MENCODER" # Let the user override the test.
-else
-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_prog_MENCODER="yes"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-  done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_prog_MENCODER" && ac_cv_prog_MENCODER="no"
-fi
-fi
-MENCODER=$ac_cv_prog_MENCODER
-if test -n "$MENCODER"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $MENCODER" >&5
-$as_echo "$MENCODER" >&6; }
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
-fi
-
-
-if test "$MENCODER" = no ; then
-    as_fn_error "Cannot find mencoder." "$LINENO" 5
-fi
-
 
   EXP_VAR=DATADIR
   FROM_VAR=$datadir
@@ -17222,7 +17178,7 @@
 CXXFLAGS=" -O2 -Wall -Werror -Wextra -Wfatal-errors"
 
 
-ac_config_files="$ac_config_files Makefile src/Makefile src/doxyfile man/Makefile tests/Makefile pixmaps/Makefile"
+ac_config_files="$ac_config_files Makefile src/Makefile src/doxyfile man/Makefile tests/Makefile pixmaps/Makefile completion/Makefile"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -17753,7 +17709,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by TOONLOOP $as_me 2.0.0, which was
+This file was extended by TOONLOOP $as_me 2.0.4, which was
 generated by GNU Autoconf 2.65.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -17819,7 +17775,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-TOONLOOP config.status 2.0.0
+TOONLOOP config.status 2.0.4
 configured by $0, generated by GNU Autoconf 2.65,
   with options \\"\$ac_cs_config\\"
 
@@ -18302,6 +18258,7 @@
     "man/Makefile") CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
     "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
     "pixmaps/Makefile") CONFIG_FILES="$CONFIG_FILES pixmaps/Makefile" ;;
+    "completion/Makefile") CONFIG_FILES="$CONFIG_FILES completion/Makefile" ;;
 
   *) as_fn_error "invalid argument: \`$ac_config_target'" "$LINENO" 5;;
   esac

=== modified file 'configure.ac'
--- configure.ac	2010-10-16 14:39:30 +0000
+++ configure.ac	2011-01-11 05:43:31 +0000
@@ -2,7 +2,7 @@
 # Process this file with autoconf to produce a configure script.
 
 AC_PREREQ(2.61)
-AC_INIT(TOONLOOP, 2.0.0, support@toonloop.com)
+AC_INIT(TOONLOOP, 2.0.4, support@toonloop.com)
 AC_DEFINE([PACKAGE_URL],["http://www.toonloop.com"])
 AC_CONFIG_HEADER([src/config.h])
 AC_CONFIG_MACRO_DIR([m4]) # check for m4 macros in directory m4
@@ -132,12 +132,6 @@
     HELP2MAN=:
 fi
 
-# external tools
-AC_CHECK_PROG(MENCODER, mencoder, yes, no)
-if test "$MENCODER" = no ; then
-    AC_MSG_ERROR([Cannot find mencoder.])
-fi
-
 AS_AC_EXPAND(DATADIR, $datadir)
 AC_MSG_NOTICE(Storing data files in $DATADIR)
 
@@ -154,6 +148,7 @@
     man/Makefile
     tests/Makefile
     pixmaps/Makefile
+    completion/Makefile
     ])
 AC_OUTPUT
 

=== modified file 'man/Makefile.in'
--- man/Makefile.in	2010-10-16 14:39:30 +0000
+++ man/Makefile.in	2011-01-11 05:43:31 +0000
@@ -147,7 +147,6 @@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
-MENCODER = @MENCODER@
 MKDIR_P = @MKDIR_P@
 NM = @NM@
 NMEDIT = @NMEDIT@

=== modified file 'man/man-toonloop.txt'
--- man/man-toonloop.txt	2010-10-16 14:39:30 +0000
+++ man/man-toonloop.txt	2011-01-11 05:43:31 +0000
@@ -9,30 +9,30 @@
 toonloop [options]
 
 [EXAMPLES]
-Choosing the video input can be tricky. The name of the GStreamer video source element is guessed from the --video-source option. (its short form is -d) If it's "/dev/video0" or "/dev/video1", Toonloop will use the v4l2src element. (a Video4Linux 2 video device) 
+Choosing the video input can be tricky. The name of the GStreamer video source element is guessed from the \-\-video-source option. (its short form is \-d) If it's "/dev/video0" or "/dev/video1", Toonloop will use the v4l2src element. (a Video4Linux 2 video device) 
 
 To use a V4L2 video camera:
 
- toonloop -d /dev/video0
+ toonloop \-d /dev/video0
 
 To display some color bars:
 
- toonloop -d test
+ toonloop \-d test
 
 To continuously grab screeshots from X11: (very slow)
 
- toonloop -d x
+ toonloop \-d x
 
-Note that if Toonloop crashes at startup, you should verify that your camera /dev/video0 is really a V4L2 camera, and that it is present. The default width and height are 640x480. You might try to change those using the --width and --height options. You can use tools such as ivtv-utils, gst-launch, gst-inspect or xawtv to investigate about your video devices under GNU/Linux.
+Note that if Toonloop crashes at startup, you should verify that your camera /dev/video0 is really a V4L2 camera, and that it is present. The default width and height are 640x480. You might try to change those using the \-\-width and \-\-height options. You can use tools such as ivtv\-utils, gst\-launch, gst\-inspect or xawtv to investigate about your video devices under GNU/Linux.
 
 Some Toonloop features are enabled only when a value is given for their option. It is the case for MIDI, OSC sending and OSC receiving.
- - MIDI is enabled if the user specifies a --midi-input
- - OSC sending is enabled if the user specifies a --osc-send-port
- - OSC receiving is enabled if the user specifies a --osc-receive-port
+ - MIDI is enabled if the user specifies a \-\-midi-input
+ - OSC sending is enabled if the user specifies a \-\-osc-send-port
+ - OSC receiving is enabled if the user specifies a \-\-osc-receive-port
 
 Here is how to launch a fullscreen timelapse:
 
- toonloop --enable-intervalometer --intervalometer-rate 0.1 --playhead-fps 60 --max-images-per-clip 600 --remove-deleted-images --fullscreen --layout 2 --verbose
+ toonloop \-\-enable-intervalometer \-\-intervalometer\-rate 0.1 \-\-playhead\-fps 60 \-\-max\-images\-per\-clip 600 \-\-remove\-deleted\-images \-\-fullscreen \-\-layout 2 \-\-verbose
 
 
 [INTERACTIVE USAGE]
@@ -62,6 +62,7 @@
  - o: Enable/disable onion skinning.
  - (): Decrease/increase frame blending in playback layout.
  - []: Increase/decrease opacity of the live input image in the overlay layout.
+ - F1: Show help.
 
 [OSC INTERFACE]
 Toonloop can send and receive messages using the Open Sound Protocol. 
@@ -134,4 +135,4 @@
 along with Toonloop.  If not, see <http://www.gnu.org/licenses/>.
 
 [SEE ALSO]
-gstreamer-properties(1), gst-inspect(1), mencoder(1)
+gstreamer\-properties(1), gst\-inspect(1), mencoder(1)

=== modified file 'man/toonloop.1'
--- man/toonloop.1	2010-10-16 14:39:30 +0000
+++ man/toonloop.1	2011-01-11 05:43:31 +0000
@@ -1,5 +1,5 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.37.1.
-.TH TOONLOOP "1" "October 2010" "toonloop 2.0.0" "User Commands"
+.TH TOONLOOP "1" "November 2010" "toonloop 2.0.4" "User Commands"
 .SH NAME
 toonloop \- The Toonloop Live Animation Performance Tool
 .SH SYNOPSIS
@@ -10,7 +10,7 @@
 Toonloop is a great tool for teaching new medias to children. It can also be used as a professional software for movie creators, though it is mainly intended to be used in a live kiosk of show. In the left window, you can see what is seen by the live camera. In the right window, it is the result of the stop motion loop. To add an image to the current clip, simply press the space bar.
 
 Toonloop can be controlled using MIDI input, or the Open Sound Control protocol. (OSC) Images are saved to the disk in the JPEG format, and the clips are saved using the photo-JPEG video codec. (using mencoder)
-.SS "Toonloop live animation editor:"
+.SH OPTIONS
 .TP
 \fB\-h\fR [ \fB\-\-help\fR ]
 Show this help
@@ -116,30 +116,30 @@
 of useless image
 files.
 .SH EXAMPLES
-Choosing the video input can be tricky. The name of the GStreamer video source element is guessed from the --video-source option. (its short form is -d) If it's "/dev/video0" or "/dev/video1", Toonloop will use the v4l2src element. (a Video4Linux 2 video device) 
+Choosing the video input can be tricky. The name of the GStreamer video source element is guessed from the \-\-video-source option. (its short form is \-d) If it's "/dev/video0" or "/dev/video1", Toonloop will use the v4l2src element. (a Video4Linux 2 video device) 
 
 To use a V4L2 video camera:
 
- toonloop -d /dev/video0
+ toonloop \-d /dev/video0
 
 To display some color bars:
 
- toonloop -d test
+ toonloop \-d test
 
 To continuously grab screeshots from X11: (very slow)
 
- toonloop -d x
+ toonloop \-d x
 
-Note that if Toonloop crashes at startup, you should verify that your camera /dev/video0 is really a V4L2 camera, and that it is present. The default width and height are 640x480. You might try to change those using the --width and --height options. You can use tools such as ivtv-utils, gst-launch, gst-inspect or xawtv to investigate about your video devices under GNU/Linux.
+Note that if Toonloop crashes at startup, you should verify that your camera /dev/video0 is really a V4L2 camera, and that it is present. The default width and height are 640x480. You might try to change those using the \-\-width and \-\-height options. You can use tools such as ivtv\-utils, gst\-launch, gst\-inspect or xawtv to investigate about your video devices under GNU/Linux.
 
 Some Toonloop features are enabled only when a value is given for their option. It is the case for MIDI, OSC sending and OSC receiving.
- - MIDI is enabled if the user specifies a --midi-input
- - OSC sending is enabled if the user specifies a --osc-send-port
- - OSC receiving is enabled if the user specifies a --osc-receive-port
+ - MIDI is enabled if the user specifies a \-\-midi-input
+ - OSC sending is enabled if the user specifies a \-\-osc-send-port
+ - OSC receiving is enabled if the user specifies a \-\-osc-receive-port
 
 Here is how to launch a fullscreen timelapse:
 
- toonloop --enable-intervalometer --intervalometer-rate 0.1 --playhead-fps 60 --max-images-per-clip 600 --remove-deleted-images --fullscreen --layout 2 --verbose
+ toonloop \-\-enable-intervalometer \-\-intervalometer\-rate 0.1 \-\-playhead\-fps 60 \-\-max\-images\-per\-clip 600 \-\-remove\-deleted\-images \-\-fullscreen \-\-layout 2 \-\-verbose
 .SH "INTERACTIVE USAGE"
 Toonloop is an interactive software. While it runs, the user can control it using keyboard keys. Here is the list of keystrokes to control Toonloop.
 
@@ -167,6 +167,7 @@
  - o: Enable/disable onion skinning.
  - (): Decrease/increase frame blending in playback layout.
  - []: Increase/decrease opacity of the live input image in the overlay layout.
+ - F1: Show help.
 .SH "OSC INTERFACE"
 Toonloop can send and receive messages using the Open Sound Protocol. 
 
@@ -232,4 +233,4 @@
 You should have received a copy of the gnu general public license
 along with Toonloop.  If not, see <http://www.gnu.org/licenses/>.
 .SH "SEE ALSO"
-gstreamer-properties(1), gst-inspect(1), mencoder(1)
+gstreamer\-properties(1), gst\-inspect(1), mencoder(1)

=== modified file 'pixmaps/Makefile.in'
--- pixmaps/Makefile.in	2010-10-16 14:39:30 +0000
+++ pixmaps/Makefile.in	2011-01-11 05:43:31 +0000
@@ -147,7 +147,6 @@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
-MENCODER = @MENCODER@
 MKDIR_P = @MKDIR_P@
 NM = @NM@
 NMEDIT = @NMEDIT@

=== modified file 'src/Makefile.in'
--- src/Makefile.in	2010-10-16 14:39:30 +0000
+++ src/Makefile.in	2011-01-11 05:43:31 +0000
@@ -173,7 +173,6 @@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
-MENCODER = @MENCODER@
 MKDIR_P = @MKDIR_P@
 NM = @NM@
 NMEDIT = @NMEDIT@

=== modified file 'src/application.cpp'
--- src/application.cpp	2010-10-16 14:39:30 +0000
+++ src/application.cpp	2011-01-11 05:43:31 +0000
@@ -40,6 +40,7 @@
 #include "gui.h"
 #include "midi.h"
 #include "pipeline.h"
+#include "subprocess.h"
 #include "v4l2util.h"
 
 namespace po = boost::program_options;
@@ -109,6 +110,14 @@
     if (config_->get_verbose())
         std::cout << "current clip is " << selected_clip_ << std::endl;
 }
+
+static void check_for_mencoder()
+{
+    std::string command("mencoder -list-options");
+    bool ret = subprocess::run_command(command);
+    if (! ret)
+        g_critical("Could not find mencoder\n");
+}
 /**
  * Parses the command line and runs the application.
  */
@@ -116,8 +125,7 @@
 {
     std::string video_source = "/dev/video0";
     std::string project_home = DEFAULT_PROJECT_HOME;
-    po::options_description desc("Toonloop live animation editor");
-    // std::cout << "adding options" << std::endl;
+    po::options_description desc("Options");
     desc.add_options()
         ("help,h", "Show this help message and exit")
         ("project-home,H", po::value<std::string>()->default_value(project_home), "Path to the saved files")
@@ -154,10 +162,16 @@
     
     po::store(po::parse_command_line(argc, argv, desc), options);
     po::notify(options);
+
+    // tmp: 
+    bool verbose = options["verbose"].as<bool>();
     // Options that makes the program exit:
     if (options.count("help"))
     {
+        // TODO: also print clutter-gst command line help
         std::cout << desc << std::endl;
+        //std::cout << INTERACTIVE_HELP << std::endl;
+        //std::cout << std::endl;
         return;
     }
     if (options.count("version"))
@@ -191,14 +205,16 @@
                 // exit(1); // exit with error
             }
         }
-        std::cout << "video-source is set to " << video_source << std::endl;
+        if (verbose)
+            std::cout << "video-source is set to " << video_source << std::endl;
     }
     if (options.count("project-home")) // of course it will be there.
     {
         project_home = options["project-home"].as<std::string>();
         if (project_home == DEFAULT_PROJECT_HOME) // FIXME: replace ~ by $HOME instead of hard-coding this
             project_home = std::string(std::getenv("HOME")) + "/Documents/toonloop/default";
-        std::cout << "project-home is set to " << project_home << std::endl;
+        if (verbose)
+            std::cout << "project-home is set to " << project_home << std::endl;
         if (! setup_project_home(project_home))
             exit(1);
 
@@ -211,7 +227,8 @@
     if (options.count("intervalometer-interval"))
         std::cout << "The rate of the intervalometer is set to " << options["intervalometer-interval"].as<double>() << std::endl; 
 #endif
-    std::cout << "The initial frame rate for clip playhead is set to " << options["playhead-fps"].as<int>() << std::endl;
+    if (verbose)
+        std::cout << "The initial frame rate for clip playhead is set to " << options["playhead-fps"].as<int>() << std::endl;
     if (options.count("playhead-fps"))
     { 
         for (ClipIterator iter = clips_.begin(); iter != clips_.end(); ++iter)
@@ -220,8 +237,8 @@
 
     if (options["fullscreen"].as<bool>())
     {
-        std::cout << "Fullscreen mode is on: " << std::endl;
-        std::cout << "Fullscreen mode is on: " << options["fullscreen"].as<bool>() << std::endl;
+        if (verbose)
+            std::cout << "Fullscreen mode is on: " << options["fullscreen"].as<bool>() << std::endl;
     }
     
     // Stores the options in the Configuration class.
@@ -234,8 +251,6 @@
     update_project_home_for_each_clip();
     config_->set_video_source(video_source);
     
-    
-
     // Start OSC
     if (config_->get_osc_recv_port() != OSC_PORT_NONE)
     {
@@ -258,9 +273,14 @@
                 // Don't exit
             }
         }
-        std::cout << "Starting OSC receiver." << std::endl;
-    } else
-        std::cout << "OSC receiver is disabled" << std::endl;
+        if (verbose)
+            std::cout << "Starting OSC receiver." << std::endl;
+    } 
+    else 
+    {
+        if (verbose)
+            std::cout << "OSC receiver is disabled" << std::endl;
+    }
     if (config_->get_osc_send_port() != OSC_PORT_NONE)
     {
         //TODO:2010-08-26:aalex:Replace atoi by something more sturdy
@@ -276,8 +296,12 @@
             std::cerr << "Sending port number " << config_->get_osc_send_port() <<  "is over the maximum of 65535." <<  std::endl;
             exit(1);
         }
-    } else
-        std::cout << "OSC sender is disabled" << std::endl;
+    } 
+    else 
+    {
+        if (verbose)
+            std::cout << "OSC sender is disabled" << std::endl;
+    }
     osc_.reset(new OscInterface(this, config_->get_osc_recv_port(), config_->get_osc_send_port(), config_->get_osc_send_addr()));
     if (config_->get_osc_recv_port() != OSC_PORT_NONE || config_->get_osc_send_port() != OSC_PORT_NONE)
     {
@@ -295,15 +319,18 @@
         g_error("Unable to initialize Clutter: %s", error->message);
     clutter_gst_init(&argc, &argv);
     // start GUI
-    std::cout << "Starting GUI." << std::endl;
+    if (verbose)
+        std::cout << "Starting GUI." << std::endl;
     gui_.reset(new Gui(this));
     // start Pipeline
-    std::cout << "Starting pipeline." << std::endl;
+    if (verbose)
+        std::cout << "Starting pipeline." << std::endl;
     pipeline_.reset(new Pipeline(this));
     // Start MIDI
     // std::cout << "Starting MIDI input." << std::endl;
     midi_input_.reset(new MidiInput(this));
-    midi_input_->enumerate_devices();
+    if (verbose)
+        midi_input_->enumerate_devices();
     if (config_->get_midi_input_number() != MIDI_INPUT_NONE)
     {
         bool midi_ok = midi_input_->open(config_->get_midi_input_number());
@@ -328,7 +355,11 @@
     else
         std::cout << "There is no layout number " << layout << ". Using 0." << std::endl;
     // Run the main loop
-    std::cout << "Running toonloop" << std::endl;
+    if (verbose)
+        std::cout << "Running toonloop" << std::endl;
+    // This call is blocking:
+    check_for_mencoder();
+    // Starts it all:
     gtk_main();
 }
 /**
@@ -399,7 +430,8 @@
 
 void Application::quit()
 {
-    std::cout << "Quitting the application." << std::endl;
+    if (config_->get_verbose())
+        std::cout << "Quitting the application." << std::endl;
     pipeline_->stop();
     gtk_main_quit();
 }

=== modified file 'src/application.h'
--- src/application.h	2010-10-16 14:39:30 +0000
+++ src/application.h	2011-01-11 05:43:31 +0000
@@ -39,6 +39,34 @@
 static const unsigned int MAX_CLIPS = 10;
 static const int DEFAULT_CAPTURE_WIDTH = 640;
 static const int DEFAULT_CAPTURE_HEIGHT = 480;
+// TODO:2010-10-15:aalex:Internationalize the help text.
+static const std::string INTERACTIVE_HELP(
+    "Toonloop interactive controls:"
+    "\n  Space: Grab a single image."
+    "\n  Escape: Switch fullscreen mode."
+    "\n  Delete: Erase the last captured frame."
+    "\n  Ctrl-q: Quit."
+    "\n  Page-down: Switch to the next clip."
+    "\n  Page-up: Switch to the previous clip."
+    "\n  Number from 0 to 9: Switch to a specific clip."
+    "\n  Ctrl-number: Switch to a specific layout."
+    "\n  s: Save the current clip as a movie file."
+    "\n  period (.): Toggle the layout."
+    "\n  Tab: Change the playback direction."
+    "\n  r: Clear the current clip."
+    "\n  Caps lock: Toggle video grabbing."
+    "\n  a: Toggle on/off the intervalometer."
+    "\n  k: Increase the intervalometer interval by 1 second."
+    "\n  j: Decrease the intervalometer interval by 1 second."
+    "\n  Right: Move writehead to the next image."
+    "\n  Left: Move writehead to the previous image."
+    "\n  Return: Move writehead to the last image."
+    "\n  semicolon (;): Move writehead to the first image."
+    "\n  o: Enable/disable onion skinning."
+    "\n  (): Decrease/increase frame blending in playback layout."
+    "\n  []: Increase/decrease opacity of the live input image in the overlay layout."
+    "\n  F1: Show help."
+    );
 
 /** The Application class: starts Toonloop.
  */

=== modified file 'src/config.h'
--- src/config.h	2010-10-16 14:39:30 +0000
+++ src/config.h	2011-01-11 05:43:31 +0000
@@ -84,7 +84,7 @@
 #define PACKAGE_NAME "TOONLOOP"
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "TOONLOOP 2.0.0"
+#define PACKAGE_STRING "TOONLOOP 2.0.4"
 
 /* Define to the one symbol short name of this package. */
 #define PACKAGE_TARNAME "toonloop"
@@ -93,13 +93,13 @@
 #define PACKAGE_URL "http://www.toonloop.com"
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "2.0.0"
+#define PACKAGE_VERSION "2.0.4"
 
 /* Define to 1 if you have the ANSI C header files. */
 #define STDC_HEADERS 1
 
 /* Version number of package */
-#define VERSION "2.0.0"
+#define VERSION "2.0.4"
 
 /* Define to empty if `const' does not conform to ANSI C. */
 /* #undef const */

=== modified file 'src/gui.cpp'
--- src/gui.cpp	2010-10-16 14:39:30 +0000
+++ src/gui.cpp	2011-01-11 05:43:31 +0000
@@ -164,6 +164,7 @@
     // TODO:2010-09-18:aalex:Use the accelerators to allow the user to configure the controls
     // TODO:2010-09-18:aalex:Use Clutter for mouse and keyboard controls (ClutterBindingPool)
     Gui *context = static_cast<Gui*>(user_data);
+    bool verbose = context->owner_->get_configuration()->get_verbose();
 
     switch (event->keyval)
     {
@@ -258,7 +259,8 @@
             // (if there is one)
             if (event->state & GDK_CONTROL_MASK)
             {
-                g_print("Ctrl-Q key pressed, quitting.\n");
+                if (verbose)
+                    g_print("Ctrl-Q key pressed, quitting.\n");
                 context->owner_->quit();
             }
             break;
@@ -267,7 +269,8 @@
             // (if there is one)
             if (event->state & GDK_CONTROL_MASK)
             {
-                g_print("Ctrl-S key pressed, TODO: save the whole project.\n");
+                if (verbose)
+                    g_print("Ctrl-S key pressed, TODO: save the whole project.\n");
                 // For now, we save the clip anyways
                 context->owner_->get_controller()->save_current_clip();
             } else // no Ctrl pressed
@@ -318,11 +321,10 @@
             }
             break;
         case GDK_i:
-            context->enable_hud_ = ! context->enable_hud_;
-            if (context->enable_hud_)
-                clutter_actor_show(context->info_text_actor_);
-            else
-                clutter_actor_hide(context->info_text_actor_);
+            context->toggle_info();
+            break;
+        case GDK_F1:
+            context->toggle_help();
             break;
         case GDK_o:
             context->enable_onionskin( ! context->onionskin_enabled_);
@@ -333,6 +335,29 @@
     return TRUE;
 }
 /**
+ * Toggles the visibility of the info text.
+ */
+void Gui::toggle_info()
+{
+    enable_info_ = ! enable_info_;
+    if (enable_info_)
+        clutter_actor_show(info_text_actor_);
+    else
+        clutter_actor_hide(info_text_actor_);
+}
+/**
+ * Toggles the visibility of the info text.
+ */
+void Gui::toggle_help()
+{
+    enable_help_ = ! enable_help_;
+    if (enable_help_)
+        clutter_actor_show(help_text_actor_);
+    else
+        clutter_actor_hide(help_text_actor_);
+}
+
+/**
  * Called when the window is deleted. Quits the application.
  */
 void Gui::on_delete_event(GtkWidget* /*widget*/, GdkEvent* /*event*/, gpointer user_data)
@@ -718,7 +743,8 @@
     overlay_opacity_(50),
     onionskin_opacity_(50),
     onionskin_enabled_(false),
-    enable_hud_(false),
+    enable_info_(false),
+    enable_help_(false),
     fade_duration_ratio_(0.0)
 {
     //video_xwindow_id_ = 0;
@@ -827,10 +853,13 @@
     clutter_container_add_actor(CLUTTER_CONTAINER(stage_), CLUTTER_ACTOR(live_input_texture_));
     clutter_actor_hide_all(CLUTTER_ACTOR(live_input_texture_));
     
-    // TEXT
-    info_text_actor_ = clutter_text_new_full("", "Sans 16px", clutter_color_new(255, 255, 255, 255));
-    //update_info_text();
+    // INFO TEXT
+    info_text_actor_ = clutter_text_new_full("Sans 16px", "", clutter_color_new(255, 255, 255, 255));
     clutter_container_add_actor(CLUTTER_CONTAINER(stage_), CLUTTER_ACTOR(info_text_actor_));
+    // HELP TEXT
+    std::string HELP_TEXT(INTERACTIVE_HELP + "(Press F1 to hide)");
+    help_text_actor_ = clutter_text_new_full("Sans 12px", HELP_TEXT.c_str(), clutter_color_new(255, 255, 255, 255));
+    clutter_container_add_actor(CLUTTER_CONTAINER(stage_), CLUTTER_ACTOR(help_text_actor_));
     // Sort actors and groups:
     clutter_container_raise_child(CLUTTER_CONTAINER(stage_), CLUTTER_ACTOR(playback_group_), NULL);
     clutter_container_raise_child(CLUTTER_CONTAINER(stage_), CLUTTER_ACTOR(onionskin_group_), NULL);
@@ -845,6 +874,7 @@
     // Set visibility for other things
     enable_onionskin(false); // hides it
     clutter_actor_hide(info_text_actor_);
+    clutter_actor_hide(help_text_actor_);
     // shown when we get first live image size, and we play the first image
     clutter_actor_hide(live_input_texture_); 
     clutter_actor_hide_all(CLUTTER_ACTOR(playback_group_));
@@ -857,7 +887,7 @@
 {
     std::ostringstream os;
     Clip* current_clip = owner_->get_current_clip();
-    os << "Toonloop " << PACKAGE_VERSION << std::endl;
+    os << "Toonloop " << PACKAGE_VERSION << " info (press i to hide)" << std::endl;
     os << "Current clip: " << current_clip->get_id() << std::endl;
     os << "FPS: " << current_clip->get_playhead_fps() << std::endl;
     os << "Playhead: " << current_clip->get_playhead() << std::endl;
@@ -881,7 +911,7 @@
 
 Gui::~Gui()
 {
-    std::cout << "~Gui" << std::endl;
+    //std::cout << "~Gui" << std::endl;
     //TODO:
     //for (ActorIterator iter = playback_textures_.begin(); iter != playback_textures_.end(); ++iter)
     //    //iter->

=== modified file 'src/gui.h'
--- src/gui.h	2010-10-16 14:39:30 +0000
+++ src/gui.h	2011-01-11 05:43:31 +0000
@@ -34,6 +34,7 @@
 // TODO:2010-10-05:aalex:Should we put that in a namespace or in the Gui class?
 const unsigned int NUM_LAYOUTS = 4;
 
+
 /** This graphical user interface uses GTK and Clutter-GST.
  */
 class Gui
@@ -72,6 +73,8 @@
         void hideCursor();
         void showCursor();
         void update_info_text();
+        void toggle_info();
+        void toggle_help();
         
         float video_input_width_;
         float video_input_height_;
@@ -84,6 +87,7 @@
         std::vector< ClutterActor* > playback_textures_;
         std::vector< ClutterActor* > onionskin_textures_;
         ClutterActor *info_text_actor_;
+        ClutterActor *help_text_actor_;
         ClutterTimeline *timeline_;
         GtkWidget *window_;
         GtkWidget *clutter_widget_;
@@ -93,7 +97,8 @@
         int overlay_opacity_;
         int onionskin_opacity_;
         bool onionskin_enabled_;
-        bool enable_hud_;
+        bool enable_info_;
+        bool enable_help_;
         // TODO: rename to fade_duration_ratio
         float fade_duration_ratio_; // RENAME!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         static const int WINWIDTH = 640;

=== modified file 'src/oscreceiver.cpp'
--- src/oscreceiver.cpp	2010-10-16 14:39:30 +0000
+++ src/oscreceiver.cpp	2011-01-11 05:43:31 +0000
@@ -15,11 +15,10 @@
 
 OscReceiver::~OscReceiver()
 {
-    std::cout << "Freeing server thread\n";
+//    std::cout << "Freeing OSC server thread\n";
     lo_server_thread_free(server_);
 }
 
-
 void OscReceiver::addHandler(const char *path, const char *types, lo_method_handler handler, void *userData)
 {
     lo_server_thread_add_method(server_, path, types, handler, userData);
@@ -32,7 +31,6 @@
 
 }
 
-
 void OscReceiver::error(int num, const char *msg, const char *path)
 {
     std::cerr << "liblo server error " << num << " in path " << path 

=== modified file 'src/pipeline.cpp'
--- src/pipeline.cpp	2010-10-16 14:39:30 +0000
+++ src/pipeline.cpp	2011-01-11 05:43:31 +0000
@@ -35,6 +35,7 @@
 #include "log.h" // TODO: make it async and implement THROW_ERROR
 #include "pipeline.h"
 #include "timing.h"
+#include "v4l2util.h"
 
 //const bool USE_SHADER = false;
 namespace fs = boost::filesystem;
@@ -277,7 +278,8 @@
  */
 void Pipeline::stop()
 {
-    std::cout << "Stopping the GStreamer pipeline." << std::endl;
+    if (owner_->get_configuration()->get_verbose())
+        std::cout << "Stopping the GStreamer pipeline." << std::endl;
     // FIXME: a segfault occurs here!
     gst_element_set_state(GST_ELEMENT(pipeline_), GST_STATE_NULL);
     //std::cout << "Deleting the GStreamer pipeline." << std::endl;
@@ -294,6 +296,7 @@
         record_all_frames_enabled_(false)
 {
     Configuration *config = owner_->get_configuration();
+    bool verbose = config->get_verbose();
     set_intervalometer_is_on(false);
     pipeline_ = NULL;
     pipeline_ = GST_PIPELINE(gst_pipeline_new("pipeline"));
@@ -302,18 +305,27 @@
     // TODO: add more input types like in Ekiga
     if (config->videoSource() == "test")
     {
-        std::cout << "Video source: videotestsrc" << std::endl;
+        if (verbose)
+            std::cout << "Video source: videotestsrc" << std::endl;
         videosrc_  = gst_element_factory_make("videotestsrc", "videosrc0");
     } 
     else if (config->videoSource() == "x") 
     {
-        std::cout << "Video source: ximagesrc" << std::endl;
+        if (verbose)
+            std::cout << "Video source: ximagesrc" << std::endl;
         videosrc_  = gst_element_factory_make("ximagesrc", "videosrc0");
     } 
-    else 
+    else  // v4l2src
     {
-        std::cout << "Video source: v4l2src" << std::endl;
+        // TODO:2010-08-06:aalex:We could rely on gstreamer-properties to configure the video source.
+        // Add -d gconf (gconfvideosrc)
+        if (verbose)
+            std::cout << "Video source: v4l2src" << std::endl;
         videosrc_  = gst_element_factory_make("v4l2src", "videosrc0"); 
+        std::string device_name(config->videoSource());
+        if (verbose)
+            g_print("Using camera %s.\n", device_name.c_str());
+        g_object_set(videosrc_, "device", device_name.c_str(), NULL); 
     }
     // TODO: use something else than g_assert to see if we could create the elements.
     g_assert(videosrc_); 
@@ -364,45 +376,44 @@
             g_object_set(capsfilter0, "caps", the_caps, NULL);
             gst_caps_unref(the_caps);
             
-        } else {
+        } else {  // it's a videotestsrc
             //TODO:2010-10-04:aalex:Use config.get_capture_* for test source as well
             GstCaps *the_caps = gst_caps_from_string("video/x-raw-yuv, width=640, height=480, framerate=30/1");
             g_object_set(capsfilter0, "caps", the_caps, NULL);
             gst_caps_unref(the_caps);
         }
-        is_linked = gst_element_link_pads(videosrc_, "src", capsfilter0, "sink");
+        is_linked = gst_element_link(videosrc_, capsfilter0);
         if (!is_linked) {
             g_print("Could not link %s to %s.\n", "videosrc_", "capfilter0"); 
             exit(1); 
         }
         source_is_linked = true;
-    } else {
+    } else {     // it's a v4l2src
         // Guess the right FPS to use with the video capture device
         while (not source_is_linked)
         {
-            g_object_set(capsfilter0, "caps", gst_caps_from_string(guess_source_caps(frame_rate_index).c_str()), NULL);
-            is_linked = gst_element_link_pads(videosrc_, "src", capsfilter0, "sink");
+            GstCaps *videocaps = gst_caps_from_string(guess_source_caps(frame_rate_index).c_str());
+            g_object_set(capsfilter0, "caps", videocaps, NULL);
+            gst_caps_unref(videocaps);
+            is_linked = gst_element_link(videosrc_, capsfilter0);
             if (!is_linked) 
             { 
                 std::cout << "Failed to link video source. Trying another framerate." << std::endl;
                 ++frame_rate_index;
-                if (frame_rate_index >= 10) 
-                {
-                    std::cout << "Giving up after 10 tries." << std::endl;
-                }
             } else {
-                std::cout << "Success." << std::endl;
+                if (verbose)
+                    std::cout << "Success." << std::endl;
                 source_is_linked = true;
             }
         }
     }
     //Will now link capfilter0--ffmpegcolorspace0--tee.
-    is_linked = gst_element_link_pads(capsfilter0, "src", ffmpegcolorspace0, "sink");
+    is_linked = gst_element_link(capsfilter0, ffmpegcolorspace0);
     if (!is_linked) {
         g_print("Could not link %s to %s.\n", "capsfilter0", "ffmpegcolorspace0"); 
         exit(1);
     }
-    is_linked = gst_element_link_pads(ffmpegcolorspace0, "src", tee0, "sink");
+    is_linked = gst_element_link(ffmpegcolorspace0, tee0);
     if (!is_linked) {
         g_print("Could not link %s to %s.\n", "ffmpegcolorspace0", "tee0"); 
         exit(1);
@@ -414,7 +425,7 @@
         exit(1);
     }
     // output 0: the OpenGL uploader.
-    is_linked = gst_element_link_pads(queue0, "src", videosink_, "sink");
+    is_linked = gst_element_link(queue0, videosink_);
     if (!is_linked) {
         // FIXME:2010-08-06:aalex:We could get the name of the GST element for the clutter sink using gst_element_get_name
         g_print("Could not link %s to %s.\n", "queue0", "cluttervideosink0");
@@ -428,13 +439,14 @@
         g_print("Could not link %s to %s.\n", "tee0", "queue1"); 
         exit(1); 
     }
-    is_linked = gst_element_link_pads(queue1, "src", gdkpixbufsink_, "sink");
+    is_linked = gst_element_link(queue1, gdkpixbufsink_);
     if (!is_linked) { 
         g_print("Could not link %s to %s.\n", "queue1", "gdkpixbufsink0"); 
         exit(1); 
     }
 
-    std::cout << "Will now setup the pipeline bus." << std::endl;
+    if (verbose)
+        std::cout << "Will now setup the pipeline bus." << std::endl;
     /* setup bus */
     GstBus* bus = gst_pipeline_get_bus(GST_PIPELINE(pipeline_));
     gst_bus_add_signal_watch(bus);
@@ -444,14 +456,6 @@
     g_signal_connect(bus, "message", G_CALLBACK(bus_message_cb), this);
     gst_object_unref(bus);
 
-    // TODO:2010-08-06:aalex:We could rely on gstremer-properties to configure the video source.
-    if (config->videoSource() != "test" and config->videoSource() != "x")
-    {
-        std::string device_name(config->videoSource());
-        g_print("Using camera %s.\n", device_name.c_str());
-        g_object_set(videosrc_, "device", device_name.c_str(), NULL); 
-    }
-
     /* run */
     GstStateChangeReturn ret;
     ret = gst_element_set_state(GST_ELEMENT(pipeline_), GST_STATE_PLAYING);
@@ -473,7 +477,6 @@
         exit(1);
         //FIXME: causes a segfault: context->owner_->quit();
     }
-
 }
 
 // Desctructor. TODO: do we need to free anything?
@@ -483,7 +486,9 @@
  */
 std::string Pipeline::guess_source_caps(unsigned int framerateIndex) const
 {
-    LOG_DEBUG("Trying to guess source FPS " << framerateIndex);
+    bool is_verbose = owner_->get_configuration()->get_verbose();
+    if (is_verbose)
+        LOG_DEBUG("Trying to guess source FPS " << framerateIndex);
 
     std::ostringstream capsStr;
     GstStateChangeReturn ret = gst_element_set_state(videosrc_, GST_STATE_READY);
@@ -493,7 +498,8 @@
     GstCaps *caps = gst_pad_get_caps(srcPad);
     GstStructure *structure = gst_caps_get_structure(caps, 0);
     const GValue *val = gst_structure_get_value(structure, "framerate");
-    LOG_DEBUG("Caps structure from v4l2src srcpad: " << gst_structure_to_string(structure));
+    if (is_verbose)
+        LOG_DEBUG("Caps structure from v4l2src srcpad: " << gst_structure_to_string(structure));
     gint framerate_numerator, framerate_denominator; 
     if (GST_VALUE_HOLDS_LIST(val))
     {
@@ -521,11 +527,13 @@
     capsSuffix += boost::lexical_cast<std::string>(framerate_denominator);
 
     // TODO: handle interlaced video capture stream
-    //if (v4l2util::isInterlaced(deviceStr()))
-    //    capsSuffix +=", interlaced=true";
-
+    
+    if (v4l2util::isInterlaced(owner_->get_configuration()->videoSource()))
+    {
+        capsSuffix +=", interlaced=true";
+    }
     // TODO: handle aspect ratio
-    //capsSuffix += ", pixel-aspect-ratio=";
+    // capsSuffix += ", pixel-aspect-ratio=1/1";
     //capsSuffix += config_.pixelAspectRatio();
     //capsSuffix += "4:3";
     
@@ -536,7 +544,8 @@
         << config->get_capture_height()
         << ", framerate="
         << capsSuffix;
-    LOG_DEBUG("Video source caps are " << capsStr.str());
+    if (is_verbose)
+        LOG_DEBUG("Video source caps are " << capsStr.str());
     ret = gst_element_set_state(videosrc_, GST_STATE_NULL);
     if (ret not_eq GST_STATE_CHANGE_SUCCESS)
         THROW_ERROR("Could not change v4l2src state to NULL");

=== modified file 'src/saverworker.cpp'
--- src/saverworker.cpp	2010-10-16 14:39:30 +0000
+++ src/saverworker.cpp	2011-01-11 05:43:31 +0000
@@ -112,6 +112,8 @@
     //std::cout << "Done with $ " << command << std::endl;
     if (ret_val != 0)
         std::cout << "Mencoder's return value was " << ret_val << std::endl;
+    else
+        std::cout << "Success!" << std::endl;
     // rename movie file
     std::string final_movie = owner_->get_result_directory() + "/movie-" + datetime_started  + ".mov"; 
     try 

=== modified file 'src/subprocess.cpp'
--- src/subprocess.cpp	2010-10-16 14:39:30 +0000
+++ src/subprocess.cpp	2011-01-11 05:43:31 +0000
@@ -38,12 +38,12 @@
     if ((error and (error->code != 0)) or ! WIFEXITED(status) or WEXITSTATUS(status)) {
         g_warning("Failed to execute command \"%s\", exited: %i, status: %i, stderr: %s, stdout: %s\n", command.c_str(), WIFEXITED(status), WEXITSTATUS(status), stderr_message ? : "", stdout_message ? : "");
     } else {
-        g_print("Successfully ran command \"%s\"\n", command.c_str());
+        //g_print("Successfully ran command \"%s\"\n", command.c_str());
         //std::cout << "Its output is : " << stdout_message << std::endl;
         ret = TRUE;
     }
     if (error)
-        g_error_free (error);
+        g_error_free(error);
     g_free(stdout_message);
     g_free(stderr_message);
     return ret == TRUE;

=== modified file 'tests/Makefile.in'
--- tests/Makefile.in	2010-10-16 14:39:30 +0000
+++ tests/Makefile.in	2011-01-11 05:43:31 +0000
@@ -208,7 +208,6 @@
 LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
-MENCODER = @MENCODER@
 MKDIR_P = @MKDIR_P@
 NM = @NM@
 NMEDIT = @NMEDIT@

